<?php
// admin/copy_phool.php: Copies a PHool
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//

// Make sure we have a valid admin trying to access this file
if($HTTP_SESSION_VARS["userID"]!=1) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=3&" . SID);
  exit;
}

$Pfrom = $HTTP_POST_VARS["Pfrom"];
$Pto = $HTTP_POST_VARS["Pto"];
$tables = $HTTP_POST_VARS["tables"];
if($Pfrom==$Pto) {
  echo "<p><strong>You cannot copy a PHool to itself!</strong></p>";
  include("./copy_phool_form.php");
} else {
  // Get sum of $tables for copying appropriate tables
  $table=0;
  while(list(,$val) = each($tables)) {
    $table+=$val;
  }

  // Initialize the error count and message
  $errorcount=0;
  $errormsg="";

  // Create table names
  $teamtbl1 = $SYS["prefix"] . $Pfrom . "Teams";
  $weektbl1 = $SYS["prefix"] . $Pfrom . "Weeks";
  $gametbl1 = $SYS["prefix"] . $Pfrom . "Games";
  $teamtbl2 = $SYS["prefix"] . $Pto . "Teams";
  $weektbl2 = $SYS["prefix"] . $Pto . "Weeks";
  $gametbl2 = $SYS["prefix"] . $Pto . "Games";

  // If the zero (1) bit is set, copy the Teams table
  if($table & 1) {
    $qry = "DELETE FROM $teamtbl2";
    $conn->Execute($qry);
    $qry = "INSERT INTO $teamtbl2 SELECT teamID, teamname, teamnick, teamabbr, teamlogo FROM $teamtbl1";
    if($conn->Execute($qry)===FALSE) {
      $errorcount++;
      $errormsg .= $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "<br/>\n";
    }
  }

  // If the one (2) bit is set, copy the Weeks table
  if($table & 2) {
    $qry = "DELETE FROM $weektbl2";
    $conn->Execute($qry);
    $qry = "INSERT INTO $weektbl2 SELECT weekID, weekname, startdate, stopdate FROM $weektbl1";
    if($conn->Execute($qry)===FALSE) {
      $errorcount++;
      $errormsg .= $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "<br/>\n";
    }
  }

  // If the two (4) bit is set, copy the Games table and re-calculate the winners
  if($table & 4) {
    $qry = "DELETE FROM $gametbl2";
    $conn->Execute($qry);
    $qry = "INSERT INTO $gametbl2 SELECT gameID, weekID, visitor, home, spread, visscore, homescore, 0 FROM $gametbl1";
    if($conn->Execute($qry)===FALSE) {
      $errorcount++;
      $errormsg .= $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "<br/>\n";
    }
    $phoolID = $Pto; $gametbl = $gametbl2;
    include("./calc_winners.php");
  }
  echo "<p>PHool copy completed with $errorcount error(s)<br/>\n$errormsg</p>";
}
?>
