<?php
// admin/delete_phool.php: function to delete a PHool and related info
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//

// Make sure we have a valid admin trying to access this file
if($HTTP_SESSION_VARS["userID"]!=1) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=3&" . SID);
  exit;
}

// First, we've got to find players who have default profiles pointing
//   to this PHool and reset their default profiles to zero (0)
$qry = "SELECT P.playerID FROM $playertbl P, $profiletbl R WHERE P.playerID=R.playerID AND P.defProfile=R.profileID AND R.phoolID=$phool";
if($rs=&$conn->Execute($qry)===FALSE) {
  echo "<p><strong>Query of player table failed:<br/>" .
    $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
  exit;
}

// Yes, some players have this as the default PHool
if(!$rs->EOF) {
  $players = $rs->GetRows();
  while(list(,$player) = each($players)) {
    $qry = "UPDATE $playertbl SET defProfile=0 WHERE playerID=$player";
    $conn->Execute($qry);
  }
}

// Now delete those Profiles
$conn->Execute("DELETE FROM $profiletbl WHERE phoolID=$phool");

// Delete PHool-related tables
$teamtbl = $SYS["prefix"] . $phool . "Teams";
$weektbl = $SYS["prefix"] . $phool . "Weeks";
$gametbl = $SYS["prefix"] . $phool . "Games";
$picktbl = $SYS["prefix"] . $phool . "Picks";
$conn->Execute("DROP TABLE $teamtbl, $gametbl, $picktbl, $weektbl");

// Delete PHool
$conn->Execute("DELETE FROM $phooltbl WHERE phoolID=$phool");

echo "<h4>PHool #$phool successfully deleted.</h4>";
?>
