<?php
// admin/edit_games_form.php: adds/updates games
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//

// Make sure we have a valid admin trying to access this file
if($HTTP_SESSION_VARS["userID"]!=1) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=3&" . SID);
  exit;
}

// Get PHool name
$qry = "SELECT phoolname FROM $phooltbl WHERE phoolID=$phool";
$rs = &$conn->Execute($qry);
if($rs->EOF) {
  echo "<p><strong>No PHool with ID #$phool. Cannot edit games</strong></p>\n";
  exit;
}
$phoolname = $rs->fields["phoolname"];
echo "<h3>Add/Edit Games for $phoolname for Week ID #$weekID</h3>";
switch_week("$admin/index.php",9,$phool,$weekID);

if(!$weekID) {
  echo "<p><strong>Cannot edit games unless a week is selected</strong></p>";
} else {
  $teamtbl = $SYS["prefix"] . $phool . "Teams";
  $gametbl = $SYS["prefix"] . $phool . "Games";

  // Put all teams in a recordset
  $qry = "SELECT CONCAT(teamname, ' ', teamnick) as name, teamID FROM $teamtbl ORDER BY name ASC";
  if($teams=&$conn->Execute($qry)===FALSE) {
    echo "<p><strong>Could not select teams from $teamtbl:<br/>" .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
      exit;
  }

  // Get any existing games for this week
  $qry = "SELECT gameID, visitor, home, spread, visscore, homescore FROM $gametbl WHERE weekID=$weekID";
  if($rs=&$conn->Execute($qry)===FALSE) {
    echo "<p><strong>Could not select games from $gametbl:<br/>" .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
      exit;
  }

  $games = $rs->GetRows();
  $numgames = count($games);
  $numrows = $numgames<25 ? 30 : $numgames + 5;

  // Build form
  ?>
  <p>Enter visiting and home team for each game for this week. You may also enter the spread, visitor score and home score. Clear the visiting team name to delete a game.</p>
  <form action="<?php echo $admin ?>/index.php?userfunc=17&gPhool=<?php echo $phool ?>&gWeek=<?php echo $weekID . "&" . SID ?>" method="post">
  <table>
  <tr><th>Visitor</th><th>Home</th><th>Spread</th><th>Visitor<br/>Score</th><th>Home<br/>Score</th></tr>
  <?php
  for($i=0; $i<$numrows; $i++) {
    $gameID=""; $visitor=""; $home=""; $spread=""; $visscore=""; $homescore="";
    if($games[$i]["gameID"]<>"") {
      $gameID=$games[$i]["gameID"];
      $visitor=$games[$i]["visitor"];
      $home=$games[$i]["home"];
      $spread=$games[$i]["spread"];
      $visscore=$games[$i]["visscore"];
      $homescore=$games[$i]["homescore"];
    }
    ?>
    <tr>
    <td>
    <input type="hidden" name="gameID[<?php echo $i ?>]" value="<?php echo $gameID ?>"/>
    <?php $teams->MoveFirst(); echo $teams->GetMenu2("visitor[$i]", $visitor, TRUE) ?>
    </td>
    <td>
    <?php $teams->MoveFirst(); echo $teams->GetMenu2("home[$i]", $home, TRUE) ?>
    </td>
    <td><input type="text" size="5" name="spread[<?php echo $i ?>]" value="<?php echo $spread ?>"/></td>
    <td><input type="text" size="5" name="visscore[<?php echo $i ?>]" value="<?php echo $visscore ?>"/></td>
    <td><input type="text" size="5" name="homescore[<?php echo $i ?>]" value="<?php echo $homescore ?>"/></td>
    </tr>
    <?php
  } // End FOR loop
  echo "</table>\n";
  echo "<p><input type=\"submit\" value=\"Update Games\"></p>\n";
  echo "</form>\n";
}
?>
