<?php
// admin/edit_games_form.php: adds/updates games
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//

// Make sure we have a valid admin trying to access this file
if($HTTP_SESSION_VARS["userID"]!=1) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=3&" . SID);
  exit;
}

// Get PHool name
$qry = "SELECT phoolname FROM $phooltbl WHERE phoolID=$phool";
$rs = &$conn->Execute($qry);
if($rs->EOF) {
  echo "<p><strong>No PHool with ID #$phool. Cannot edit teams</strong></p>\n";
  exit;
}
$phoolname = $rs->fields[0];
echo "<h3>Edit Scores for $phoolname for Week ID #$weekID</h3>";
switch_week("$admin/index.php",10,$phool,$weekID);

if(!$weekID) {
  echo "<p><strong>Cannot edit games unless a week is selected</strong></p>";
} else {
  $teamtbl = $SYS["prefix"] . $phool . "Teams";
  $gametbl = $SYS["prefix"] . $phool . "Games";

  // Put all teams in an associative array
  $qry = "SELECT teamID, CONCAT(teamname, ' ', teamnick) as name FROM $teamtbl ORDER BY teamname ASC";
  if($rs=&$conn->Execute($qry)===FALSE) {
    echo "<p><strong>Could not select teams from $teamtbl:<br/>" .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
      exit;
  }
  $teams=$rs->GetAssoc();

  // Get any existing games for this week
  $qry = "SELECT gameID, visitor, home, spread, visscore, homescore FROM $gametbl WHERE weekID=$weekID";
  if($rs=&$conn->Execute($qry)===FALSE) {
    echo "<p><strong>Could not select games from $gametbl:<br/>" .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
      exit;
  }

  $games = $rs->GetRows();
  if(count($games)==0) {
    echo "<p>There are no games scheduled for this week. Please add games before updating scores.</p>";
  } else {
    // Build form
    ?>
    <p>Enter the spread, visitor score and home score.</p>
    <form action="<?php echo $admin ?>/index.php?userfunc=17&gPhool=<?php echo $phool ?>&gWeek=<?php echo $weekID . "&" . SID ?>" method="post">
    <table>
    <tr><th>Visitor</th><th>Home</th><th>Spread</th><th>Visitor<br/>Score</th><th>Home<br/>Score</th></tr>
    <?php
    $row=0;
    foreach($games as $game) {
      $gameID=$game["gameID"];
      $visitor=$game["visitor"];
      $home=$game["home"];
      $spread=$game["spread"];
      $visscore=$game["visscore"];
      $homescore=$game["homescore"];
      $class=!(($row+1)%2) ? "alt" : "";
      echo "<tr class=\"$class\">\n";
      ?>
      <td>
      <input type="hidden" name="gameID[<?php echo $row ?>]" value="<?php echo $gameID ?>"/>
      <input type="hidden" name="visitor[<?php echo $row ?>]" value="<?php echo $visitor ?>"/>
      <?php echo $teams[$visitor] ?>
      </td>
      <td>
      <input type="hidden" name="home[<?php echo $row ?>]" value="<?php echo $home ?>"/>
      <?php echo $teams[$home] ?>
      </td>
      <td><input type="text" size="5" name="spread[<?php echo $row ?>]" value="<?php echo $spread ?>"/></td>
      <td><input type="text" size="5" name="visscore[<?php echo $row ?>]" value="<?php echo $visscore ?>"/></td>
      <td><input type="text" size="5" name="homescore[<?php echo $row ?>]" value="<?php echo $homescore ?>"/></td>
      </tr>
      <?php
      $row++;
    } // End FOREACH
    echo "</table>\n";
    echo "<p><input type=\"submit\" value=\"Update Scores\"></p>\n";
    echo "</form>\n";
  }
}
?>
