<?php
// admin/edit_teams_form.php: Adds/edits team names and nicknames
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//

// Make sure we have a valid admin trying to access this file
if($HTTP_SESSION_VARS["userID"]!=1) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=3&" . SID);
  exit;
}

// Get PHool name
$qry = "SELECT phoolname FROM $phooltbl WHERE phoolID=$phool";
$rs = &$conn->Execute($qry);
if($rs->EOF) {
  echo "<p><strong>No PHool with ID #$phool. Cannot edit teams</strong></p>\n";
  exit;
}
$phoolname = $rs->fields[0];

// Get all teams from correct Teams table
$teamtbl = $SYS["prefix"] . $phool . "Teams";
$qry = "SELECT teamID, teamname, teamnick, teamabbr, teamlogo FROM $teamtbl ORDER BY teamname, teamnick";
$rs = &$conn->Execute($qry);
echo "<h3>Add/Edit Teams for $phoolname</h3>\n";

// Put teams in an array
$teams = $rs->GetRows();
$numteams = count($teams);
$numrows = $numteams<25 ? 30 : $numteams + 5;

// Build form
?>
<p>Enter or edit team names. To delete a team, remove its team name.</p>
<form action="<?php echo $admin ?>/index.php?userfunc=15&gPhool=<?php echo $phool . "&" . SID ?>" method="post">
<table>
  <tr><th>Team ID</th><th>Team Name</th><th>Nickname</th><th>Abbreviation</th><th>Logo file</th></tr>
<?php
for($i=0; $i<$numrows; $i++) {
  $teamID=""; $teamname=""; $teamnick=""; $teamabbr=""; $teamlogo="";
  if($teams[$i]["teamID"]) {
    $teamID = $teams[$i]["teamID"];
    $teamname = $teams[$i]["teamname"];
    $teamnick = $teams[$i]["teamnick"];
    $teamabbr = $teams[$i]["teamabbr"];
    $teamlogo = $teams[$i]["teamlogo"];
  }
  $class = !(($i+1)%2) ? "alt" : "";
  ?>
  <tr class="<?php echo $class ?>"><td>
  <?php
  if($teamlogo) {
    echo "<img src=\"" . $SYS["assets"] . "/logos/" . $teamlogo . "\" alt=\"\"/>\n";
  }
  echo $teamID ?>
  <input type="hidden" name="teamID[<?php echo $i ?>]" value="<?php echo $teamID ?>"></td>
  <td><input type="text" size="20" name="teamname[<?php echo $i ?>]" value="<?php echo $teamname ?>"></td>
  <td><input type="text" size="15" name="teamnick[<?php echo $i ?>]" value="<?php echo $teamnick ?>"></td>
  <td><input type="text" size="5" name="teamabbr[<?php echo $i ?>]" value="<?php echo $teamabbr ?>"></td>
  <td><input type="text" size="25" name="teamlogo[<?php echo $i ?>]" value="<?php echo $teamlogo ?>"></td></tr>
  <?php
}
?>
</table>
<p><input type="submit" value="Update Teams"></p>
</form>
