<?php
// admin/edit_weeks_form.php: Adds/edits week names, startdates and stopdates
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//

// Make sure we have a valid admin trying to access this file
if($HTTP_SESSION_VARS["userID"]!=1) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=3&" . SID);
  exit;
}

// Get PHool name
$qry = "SELECT phoolname, timezone FROM $phooltbl WHERE phoolID=$phool";
$rs = &$conn->Execute($qry);
if($rs->EOF) {
  echo "<p><strong>No PHool with ID #$phoolID. Cannot edit teams</strong></p>\n";
  exit;
}
$phoolname = $rs->fields["phoolname"];
$timezone = $rs->fields["timezone"];

// Get all weeks from correct Weeks table
$weektbl = $SYS["prefix"] . $phool . "Weeks";
$qry = "SELECT weekID, weekname, startdate, stopdate FROM $weektbl ORDER BY startdate ASC";
$rs = &$conn->Execute($qry);
echo "<h3>Add/Edit Weeks for $phoolname</h3>\n";

// Put weeks in an array
$weeks = $rs->GetRows();
$numweeks = count($weeks);
$numrows = $numweeks<25 ? 30 : $numweeks + 5;

// Build form
?>
<p>Enter or edit week names, start dates and stop dates. Enter date/times in YYYY-MM-DD HH:MM format. The startdate of the first week should be now or earlier. The date/times will be adjusted by the default timezone of <?php echo $timezone ?>. <?php if($SYS["use_dst"]) echo "Date/times after " . date("Y-m-d H:i", $SYS["dst_start"]) . " and before " . date("Y-m-d H:i", $SYS["dst_stop"]) . " will be adjusted by an additional " . $SYS["dst_offset"]/3600 . "."?> To delete a week, remove its week name.</p>
<form action="<?php echo $admin ?>/index.php?userfunc=16&gPhool=<?php echo $phool . "&" . SID ?>" method="post">
<input type="hidden" name="timezone" value="<?php echo $timezone ?>"/>
<table>
  <tr><th>Week ID</th><th>Week Name</th><th>Startdate</th><th>Stopdate</th></tr>
<?php
for($i=0; $i<$numrows; $i++) {
  $wid=""; $wname=""; $startd=""; $stopd="";
  if($weeks[$i]["weekID"]) {
    $wid = $weeks[$i]["weekID"];
    $wname = $weeks[$i]["weekname"];
    $start1=$weeks[$i]["startdate"]; $stop1=$weeks[$i]["stopdate"];
    $startadd=0; $stopadd=0;
    if($SYS["use_dst"]&&$start1>=$SYS["dst_start"]&&$start1<=$SYS["dst_stop"]) $startadd=$SYS["dst_offset"];
    if($SYS["use_dst"]&&$stop1>=$SYS["dst_start"]&&$stop1<=$SYS["dst_stop"]) $stopadd=$SYS["dst_offset"];
    $startd = date("Y-m-d H:i", $start1+($timezone*3600)+$startadd);
    $stopd = date("Y-m-d H:i", $stop1+($timezone*3600)+$stopadd);
  }
  if($startd=="" && $i==0) $startd=date("Y-m-d H:i");
  $class = !(($i+1)%2) ? "alt" : "";
  ?>
  <tr class="<?php echo $class ?>"><td><?php echo $wid ?>
  <input type="hidden" name="wid[<?php echo $i ?>]" value="<?php echo $wid ?>"/></td>
  <td><input type="text" size="15" name="wname[<?php echo $i ?>]" value="<?php echo $wname ?>"/></td>
  <td><input type="text" size="20" name="startd[<?php echo $i ?>]" value="<?php echo $startd ?>"/></td>
  <td><input type="text" size="20" name="stopd[<?php echo $i ?>]" value="<?php echo $stopd ?>"/></td></tr>
  <?php
}
?>
</table>
<p><input type="submit" value="Update Weeks"></p>
</form>
