<?php
// admin/update_phool.php: script that adds or updates a PHool in the database
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//

// Make sure we have a valid admin trying to access this file
if($HTTP_SESSION_VARS["userID"]!=1) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=3&" . SID);
  exit;
}

if($HTTP_POST_VARS["type"]=="new") $phool=0;
$name = $conn->qstr($HTTP_POST_VARS["name"], get_magic_quotes_gpc());
$timezone = $HTTP_POST_VARS["timezone"];
$playspread = $HTTP_POST_VARS["spread"];
$qry = "REPLACE INTO $phooltbl VALUES('$phool', $name, $playspread, '$timezone')";
if($conn->Execute($qry) === FALSE) {
  echo "<p><strong>Adding PHool to database failed:<br/>" .
     $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
     exit;
}
echo "<h4>Phool $name successfully updated in the database</h4>\n";
if(!$phool) {
  $qry = "SELECT phoolID FROM $phooltbl WHERE phoolname=$name";
  $rs = &$conn->Execute($qry);
  $phool = $rs->fields["phoolID"];
  $teamtbl = $SYS["prefix"] . $phool . "Teams";
  $weektbl = $SYS["prefix"] . $phool . "Weeks";
  $gametbl = $SYS["prefix"] . $phool . "Games";
  $picktbl = $SYS["prefix"] . $phool . "Picks";

  $qry = 'CREATE TABLE IF NOT EXISTS ' . $teamtbl . ' (
    teamID smallint(6) NOT NULL auto_increment,
    teamname varchar(25),
    teamnick varchar(25),
    teamabbr varchar(5),
    teamlogo varchar(50),
    PRIMARY KEY (teamID)
    )';
  if($conn->Execute($qry) === false) {
    echo '<p><strong>CREATE TABLE ' . $teamtbl . ' failed:<br/>' .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
    exit;
  }

  $qry = 'CREATE TABLE IF NOT EXISTS ' . $gametbl . ' (
    gameID smallint(6) NOT NULL auto_increment,
    weekID smallint(6),
    visitor smallint(6),
    home smallint(6),
    spread float,
    visscore smallint(6),
    homescore smallint(6),
    winner smallint(6),
    PRIMARY KEY (gameID)
    )';
  if($conn->Execute($qry) === false) {
    echo '<p><strong>CREATE TABLE ' . $gametbl . ' failed:<br/>' .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
    exit;
  }

  $qry = 'CREATE TABLE IF NOT EXISTS ' . $weektbl . ' (
    weekID smallint(6) NOT NULL auto_increment,
    weekname char(20),
    startdate int(11),
    stopdate int(11),
    PRIMARY KEY (weekID)
    )';
  if($conn->Execute($qry) === false) {
    echo '<p><strong>CREATE TABLE ' . $weektbl . ' failed:<br/>' .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
    exit;
  }

  $qry = 'CREATE TABLE IF NOT EXISTS ' . $picktbl . ' (
    profileID int(11) NOT NULL,
    gameID smallint(6) NOT NULL,
    pick smallint(6),
    PRIMARY KEY (profileID, gameID)
    )';
  if($conn->Execute($qry) === false) {
    echo '<p><strong>CREATE TABLE ' . $picktbl . ' failed:<br/>' .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>";
    exit;
  }

  echo '<h4>All tables for ' . $name . ' successfully created</h4>';
}
?>
