<?php
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//
?>
<h3>Understanding games</h3>
<p><?php echo $SYS["phool_name"] ?> is based on <a href="http://www.sportsphool.com/">Sports PHool</a>, a Web application that allows players to participate in predicting winners of sports games. Each set of games is called a &quot;PHool&quot;. A PHool is usually composed of all games in a single sport in a single season. For example, the NFL, NBA or MLB seasons might each be represented by a PHool.</p>
<p>The games in a single PHool are divided into &quot;Weeks&quot;, which enable you to see a small subset of all games in the PHool. The NFL regular season, for example, has 248 games, but only 15 games are played each week. Players choose who they think will win each game, and one point is scored for each correct choice (or pick).</p>
<h4>Playing against the spread</h4>
<p>Some PHools will be listed as &quot;against the spread&quot;. When you see this, 
you know that picking a winner in those games requires taking into account the spread. When <?php build_link("picks", "viewing") ?> the list of games, you will notice a spread number listed in the far right column. This is a number that will be added (or subtracted, if negative) from the visiting team's score. The winner is calculated <strong>after</strong> the visiting team's score has been adjusted.</p>
<p>In PHool's listed as against the spread, the winner of a game may not be the team with the most real points. Therefore, you must make your choice of winner by calculating whether the visiting team will have the most points after that team's score is adjusted by the spread. PHool's that are not against the spread (&quot;straight up&quot;) will have the winner determined by number of real points scored in the game.</p>
<p>Examples:</p>
<ul>
<li>Team A is visiting Team D. The spread is 4.5. Team A's score will have 4.5 points added at the conclusion of the game. The final score is A:10, D:15. The adjusted score is A:14.5, D:15. Team D is the straight up and spread winner. (Team D has &quot;covered the spread&quot;.)</li>
<li>Team C is visiting Team B. The spread is -3. Team C's score will have 3 points subtracted at the conclusion of the game. The final score is C:20, B:18. The adjusted score is C:17, B:18. Team C is the straight up winner, but team B is the spread winner.</li>
<li>Team E is visiting Team F. The spread is 2. Team E's score will have 2 points added at the conclusion of the game. The final score is E:15, F:17. The adjusted score is E:17, F:17. Team F is the straight up winner, but the spread game ends in a tie.</li>
</ul>
<h4>Ties</h4>
<p>Your game administrator will determine whether games that end in a tie count as a point.</p>
<h4>Closing games</h4>
<p>You must make picks for each game before that game begins play. Whenever you are in the system <?php build_link("picks", "viewing picks") ?>, you will see the day and time that week of play closes. After that time, you will no longer be able to change your picks. (You can always view picks for any week.) If you have JavaScript enabled in your browser, this time will be your local time. If not, you will see a time in Greenwich Mean Time (GMT) plus/minus an adjustment.</p>
