<?php
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//
?>
<h3>Viewing/changing picks</h3>
<p>Once you have set up one or more <?php build_link("profile", "profiles") ?>, you may begin viewing and changing your picks. Click the &quot;View Picks&quot; link in the main menu. You will be presented with a list of games in the current active week in the PHool associated with your current profile. From top to bottom on your screen, you will see:</p>
<ul>
<li>A drop-down list of all your profiles. To switch profiles (and thus, switch PHools), choose a different profile and click the &quot;Switch profile&quot; button.</li>
<li>A headline showing your profile name and the Week name you are currently viewing.</li>
<li>A notice of when the week closes, or notice that it has already closed.</li>
<li>A list of games, with a colored icon next to your pick; or, if you are changing picks, a button to check with your pick already checked.</li>
<li>If you are changing picks, a button entitled &quot;Change Picks!&quot; Click this button to update the database with your new picks.</li>
<li>A list of all weeks in the current PHool. These are links that you may click to change the week you are viewing or changing.</li>
</ul>
<h4>Viewing picks</h4>
<p><?php screenshot("view picks") ?></p>
<p>When viewing picks, you will see a colored icon next to your pick. These icons are either yellow, green or red. Their meaning is as follows:</p>
<ul>
<li>Yellow: neutral pick. This pick does not count as a point. Usually, this color means the final score for this game has not been entered; however, tie games will also show yellow if the administrator has decided not to allow points for tie games.</li>
<li>Green: correct pick. The final score for this game has been entered and the team you chose is the winner; or, the game ended in a tie and the site administrator has decided to allow everyone a point for a tie game.</li>
<li>Red: incorrect pick. The final score for this game has been entered and the team you chose is not the winner of the game.</li>
</ul>
<p>If the week has not yet closed, you will see a &quot;Change Picks&quot; link in the main menu. Click this link to change your picks.</p>
<h4>Changing picks</h4>
<p><?php screenshot("change picks") ?></p>
<p>When changing picks, you will see a &quot;radio button&quot; next to each team name. Your pick for each game is already checked. To change a pick for a game, just click the radio button next to the other team. After you have changed those games you wish to change, click the &quot;Change Picks!&quot; button.</p>
