<?php
// leaders.php: displays player scores
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//
$page="leaders";
$pagetitle="Leaderboard";
require("./shared.php");

// Make sure a valid player is accessing the page
if(!$HTTP_SESSION_VARS["userID"]) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=4&" . SID);
  exit;
}
include($header);

// Output switch profile form
if(!switch_profile($SYS["base_href"] . "/leaders.php", 0, $playerID, $profile)) {
  echo "<p><strong>You must create a profile before you can view the leaderboard.</strong></p>\n";
  include($footer);
  exit;
};

if(!$profile) {
  echo "<p><strong>You must first choose a profile from the list above, or create a new profile.</strong></p>\n";
  include($footer);
  exit;
}

echo "<h3>$profilename: Viewing scores for Week $weekname</h3>\n";

$picktbl = $SYS["prefix"] . $phool . "Picks";
$gametbl = $SYS["prefix"] . $phool . "Games";

// This JOIN query totals all player picks where
// their pick matches the winner for each game
$qry="SELECT COUNT(G.gameID) AS score, U.profilename, P.profileID FROM $gametbl G, $picktbl P, $profiletbl U WHERE G.gameID=P.gameID AND (G.winner=P.pick OR G.winner='-1') AND P.profileID=U.profileID GROUP BY P.profileID ORDER BY score DESC, U.profilename ASC";
if($rs=&$conn->Execute($qry)===FALSE) {
  echo "<p><strong>Could not access Games database. Please inform the site administrator of this error:<br/>\n" . $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>\n";
  exit;
}
if($rs->EOF) {
  echo "<p>There are no scores to display.</p>";
  include($footer);
  exit;
}

// Initialize row counter
$rownum = 1;
$scores=$rs->GetRows();
$leader=$scores[0]["profileID"];

// Output TABLE tag and header cells
echo "<table>\n";
echo "<tr><th>Player</th><th>Total Score</th><th>Score for<br>Week $weekname</th></tr>\n";

// Cycles through the returned results from overall scores
foreach($scores as $player) {
  $thisscore=$player["score"];
  $thisname=$player["profilename"];
  $thisprofile=$player["profileID"];

  // Get the current player's score for the current view week
  $qry="SELECT COUNT(G.gameID) AS weekscore FROM $gametbl G, $picktbl P WHERE G.gameID=P.gameID AND (G.winner=P.pick OR G.winner='-1') AND P.profileID=$thisprofile AND G.weekID=$weekID";
  if($rs=&$conn->Execute($qry)===FALSE) {
    echo "<p><strong>Could not access Games database. Please inform the site administrator of this error:<br/>\n" . $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>\n";
    exit;
  }
  $weekscore=$rs->fields["weekscore"];

  $class=!($rownum%2) ? "alt" : "";
  // If these are the scores for the player currently logged in,
  // change class to 'player'; class definitions are controlled in mainstyle.css
  if($thisprofile==$profile) {
    $class="player";
  }

  // Output the data cells with the player's profile name, total score and weekly score
  echo "<tr class=\"$class\">\n";
  echo "<td>$thisname</td>\n<td>$thisscore</td><td>$weekscore</td>\n";
  echo "</tr>\n";
  $rownum++;
}
echo "</table>";

echo "<p><small>Charts: | \n";
echo "<a href=\"" . $SYS["base_href"] . "/graph.php?chart=1&leader=$leader&" . SID . "\">History</a> |\n";
echo "<a href=\"" . $SYS["base_href"] . "/graph.php?chart=2&" . SID . "\">Visitor/Home wins</a> |\n";
echo "</small></p>\n";

if($stopdate<$SYS["gmt"]) {
  echo "<p><a href=\"" . $SYS["base_href"] . "/leaderpicks.php?gWeek=" . $weekID . "&" . SID . "\">View all player picks</a></p>\n";
}

// Output the list of weeks for switching views
switch_week($SYS["base_href"] . "/leaders.php", 0, $phool, $weekID);
include($footer);
?>
