<?php
// setup.php: script to setup up configuration file
// ************************************************************
//        PLEASE REMOVE FROM WEB SERVER AFTER INITIAL RUN
// ************************************************************
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license.txt and /gpl.txt for licensing information
//
$step=$HTTP_POST_VARS["step"];
if (!$step) {
  $step=1;
}

$filename = $HTTP_SERVER_VARS["PHP_SELF"];
$filepath = $HTTP_SERVER_VARS["DOCUMENT_ROOT"];
$uri = $HTTP_SERVER_VARS["HTTP_REFERER"];
$fileuri = substr($uri, 0, strlen($uri)-(strlen(strrchr($uri, "/"))));

?>
<html>
<head>
  <title>Sports PHool Setup Step <?php echo $step ?></title>
</head>
<body>
<h3>SportsPHool setup: Step <?php echo $step ?></h3>
<?php
switch ($step) {
case 1:
  ?>
  <form action="setup.php" method="post">
  <input type="hidden" name="step" value="2"/>
  <p>This first step in the setup process will ask you to choose a path
  and filename for your configuration file. A default has been suggested.<br/><br/>
  Full system path to your configuration file:<br/>
  <input type="text" name="configfile" value="<?php echo $filepath ?>/config.php" size="40"/></p>
  <p><input type="submit" value="On to Step 2=&gt;"/></p>
  </form>
  <?php
  break;

case 2:
  // See if we can write to the config file
  $configfile = $HTTP_POST_VARS["configfile"];
  $fp = fopen($configfile, "w");
  if (!$fp) die("Could not create a file at $configfile! Are you sure the Web server has write permissions in that directory?");
  $write = fwrite($fp, "<?php\n// Main configuration file: see installation instructions for details\n");
  if (!$write) die("Could not write to $configfile! Are you sure the Web server has write permissions in that directory?");
  $close = fclose($fp);
  $shared = file("./shared.php");
  $shared[2] = '$configfile = "' . $configfile . "\";";
  // We do it this way to get rid of extra line breaks
  $newshared = "";
  foreach($shared as $line) {
    $newshared .= chop($line) . "\n";
  }
  $fp = fopen("./shared.php", "w");
  $write = fwrite($fp, $newshared);
  if (!$write) echo '<p>Could not write configuration file information to shared.php. You will need to manually update this file. Change line 3 to read:<br/><code>$configfile = "' . $configfile . '"</code></p>';
  $close = fclose($fp);
  ?>
  <p>Now it's time to enter all the variable information you need to run Sports PHool. Please fill in the following items; some defaults have been suggested for you. (For details on what these all mean, see the installation instructions.)</p>
  <form action="setup.php" method="post">
  <input type="hidden" name="step" value="3"/>
  <input type="hidden" name="configfile" value="<?php echo $configfile ?>"/>
  <pre>
               Name of site: <input type="text" name="phoolname" value="SportsPHool" size="25"/>
                Site slogan: <input type="text" name="phoolslogan" value="For sports PHanatics everywhere!" size="40"/>
               Table prefix: <input type="text" name="tableprefix" value="sp" size="5"/>
                URL to site: <input type="text" name="baseuri" value="<?php echo $fileuri ?>" size="40"/>
          URL to admin site: <input type="text" name="adminuri" value="<?php echo $fileuri ?>/admin" size="40"/>
              URL to assets: <input type="text" name="assetsuri" value="<?php echo $fileuri ?>/assets" size="40"/>
    Filesystem path to site: <input type="text" name="basepath" value="<?php echo $filepath ?>" size="40"/>
Filesystem path to includes: <input type="text" name="includepath" value="<?php echo $filepath ?>/includes" size="40"/>
        Name of HTML layout: <input type="text" name="layoutname" value="default" size="15"/>
                   Use DST?  <input type="radio" name="usedst" value="1" checked/>Yes    No<input type="radio" name="usedst" value="0"/>
             DST start time: <input type="text" name="startdst" value="YYYY-MM-DD HH:mm" size="25"/> (e.g. 2001-10-28 02:00)
              DST stop time: <input type="text" name="stopdst" value="YYYY-MM-DD HH:mm" size="25"/>
        Hours of DST offset: <input type="text" name="offset" value="-1" size="5"/>
         Ties count as win?  <input type="radio" name="ties" value="-1" checked/>Yes    No<input type="radio" name="ties" value="0"/>
        Width of team logos: <input type="text" name="lwidth" value="" size="5"/>
       Height of team logos: <input type="text" name="lheight" value="" size="5"/>
       Database server name: <input type="text" name="dbhost" value="localhost" size="15"/>
         Database user name: <input type="text" name="dbuser" value="root" size="15"/>
     Database user password: <input type="text" name="dbpass" value="" size="15"/>
              Database name: <input type="text" name="dbname" value="sportsphool" size="15"/>
    Administrator full name: <input type="text" name="adminname" value="Administrator" size="25"/>
        Administrator email: <input type="text" name="adminemail" value="admin@yoursite.com" size="25"/>
    Administrator user name: <input type="text" name="adminuser" value="admin" size="15"/>
     Administrator password: <input type="text" name="adminpass" value="" size="15"/>
</pre>
<p><input type="submit" value="Save configuration..."/></p>
</form>
  <?php
  break;

case 3:
  // Get the variables and escape special characters, if necessary
  reset($HTTP_POST_VARS);
  while(list($key,$val) = each($HTTP_POST_VARS)) {
    if(!get_magic_quotes_gpc()) {
      $$key = addslashes($val);
    } else {
      $$key = $val;
    }
  }
  // Convert DST times to Unix timestamps
  if(!$startdst) {
    $dststart = 0;
  } else {
    $d = split('[-./: ]', $startdst);
    $dststart = mktime($d[3], $d[4], 0, $d[1], $d[2], $d[0]);
  }
  if(!$stopdst) {
    $dststop = 0;
  } else {
    $d = split('[-./: ]', $stopdst);
    $dststop = mktime($d[3], $d[4], 0, $d[1], $d[2], $d[0]);
  }
  
  // Write the configuration file and create core tables
  $configstring = '
  $SYS["phool_name"] = "' . $phoolname . '";
  $SYS["phool_slogan"] = "' . $phoolslogan . '";
  $SYS["prefix"] = "' . $tableprefix . '";
  $SYS["base_href"] = "' . $baseuri . '";
  $SYS["admin_uri"] = "' . $adminuri . '";
  $SYS["assets"] = "' . $assetsuri . '";
  $SYS["base_path"] = "' . $basepath . '";
  $SYS["includes"] = "' . $includepath . '";
  $SYS["layout_name"] = "' . $layoutname . '";
  $SYS["db_host"] = "' . $dbhost . '";
  $SYS["db_user"] = "' . $dbuser . '";
  $SYS["db_pass"] = "' . $dbpass . '";
  $SYS["db_data"] = "' . $dbname . '";
  $SYS["gmt"] = mktime(gmdate("H"), gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y"));
  $SYS["use_dst"] = ' . $usedst . ';
  $SYS["dst_start"] = ' . $dststart . ';
  $SYS["dst_stop"] = ' . $dststop . ';
  $SYS["dst_offset"] = ' . ($offset*3600) . ';
  $SYS["ties"] = ' . $ties . ';
  $SYS["logowidth"] = "' . $lwidth . '";
  $SYS["logoheight"] = "' . $lheight . '";
?>';
  $fp = fopen($configfile, "a");
  $write = fwrite($fp, $configstring);
  if (!$write) die("Could not write information to $configfile! You will need to manually copy this information:\n<pre>\n$configstring\n</pre>");
  $close = fclose($fp);

  $db=mysql_connect("$dbhost", "$dbuser", "$dbpass") or die("Could not connect to database at $dbhost using username and password supplied. Please check your settings and try again.");
  if(!@mysql_select_db("$dbname", $db)) {
    $r=mysql_query("CREATE DATABASE $dbname", $db) or die("Could not create database $dbname on server $dbhost using username and password supplied. Please try creating the database manually.");
  }
  
  require($includepath . "/adodb/adodb.inc.php");
  $conn = &ADONewConnection("mysql");
  $conn->Connect($dbhost, $dbuser, $dbpass, $dbname);
  $phooltbl = $tableprefix . "Phools";
  $playertbl = $tableprefix . "Players";
  $profiletbl = $tableprefix . "Profiles";

  $qry = "CREATE TABLE $phooltbl (
  phoolID smallint(5) unsigned NOT NULL auto_increment,
  phoolname varchar(50) NOT NULL default '',
  playspread tinyint(4) default NULL,
  timezone decimal(3,1) default NULL,
  PRIMARY KEY  (phoolID),
  UNIQUE KEY phoolname (phoolname))";
  if($conn->Execute($qry)===FALSE) {
    echo "<p><strong>Creation of $phooltbl failed: <br/>" .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>\n";
  }

  $qry = "CREATE TABLE $playertbl (
  playerID int(10) unsigned NOT NULL auto_increment,
  username varchar(15) NOT NULL default '',
  password varchar(10) default NULL,
  fullname varchar(50) default NULL,
  email varchar(60) default NULL,
  defProfile int(10) unsigned default NULL,
  PRIMARY KEY  (playerID),
  KEY username (username))";
  if($conn->Execute($qry)===FALSE) {
    echo "<p><strong>Creation of $playertbl failed: <br/>" .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>\n";
  }

  $qry = "INSERT INTO $playertbl VALUES(1, '$adminuser', '$adminpass', '$adminname', '$adminemail', 0)";
  if($conn->Execute($qry)===FALSE) {
    echo "<p><strong>Insertion of admin data into $playertbl failed: <br/>" .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>\n";
  }

  $qry = "CREATE TABLE $profiletbl (
  profileID int(10) unsigned NOT NULL auto_increment,
  playerID int(10) unsigned default NULL,
  phoolID smallint(5) unsigned default NULL,
  profilename varchar(25) default NULL,
  PRIMARY KEY  (profileID))";
  if($conn->Execute($qry)===FALSE) {
    echo "<p><strong>Creation of $profiletbl failed: <br/>" .
      $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>\n";
  }
  echo "<p>Finished with Sports PHool setup. If you see no error messages above, you're all ready to go! See the Administration Manual for information on running your Sport PHool games.</p>";
}
?>
</body>
</html>
