<?php
// signon.php: Script presents forms for registering or signing on to system
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//

$page="signon";
$pagetitle = "Register/Sign on";
require("./shared.php");
switch($HTTP_GET_VARS["message"]){
  case 1:
    $errormessage="You have been successfully logged off the system.";
  break;

  case 2:
    $errormessage="The attempt to log you off the system failed. Please contact the Web site administrator.";
  break;

  case 3:
    $errormessage="You must sign on as the Administrator in order to access that page.";
  break;

  case 4:
   $errormessage="You must be signed on as a player in order to access that page.";
  break;

  case 5:
    $errormessage="Your passwords do not match. Try entering them again.";
  break;

  case 6:
    $errormessage="That username is already in use or is not composed only of letters and numbers. Please choose another username.";
    break;

  case 7:
    $errormessage="Your chosen password is not composed only of letters and numbers. Please choose another password.";
    break;

  case 8:
    $errormessage="That username cannot be found in our database. Please be sure you typed the name correctly.";
    break;

  case 9:
    $errormessage="The password you entered does not match your username. Please be sure you type your password correctly and remember that passwords are case sensitive.";
    break;

  case 10:
    $errormessage="The email was sent successfully. You should receive it in a few minutes.";
    break;

  case 11:
    $errormessage="I'm sorry, there was an error during the attempt to send email. Please try again in a few minutes.";
    break;
    
  case 21:
    $errormessage="Your email address is not in a known valid format. Try using a different address.";
    break;
    
  case 22:
    $errormessage="Your email address does not have a valid top-level domain or country code. Try using a different address.";
    break;
    
  case 23:
    $errormessage="I was not able to find an MX (mail exchange) record for the domain name in your email address. This may be due to Internet congestion. Please try again later or use a different address.";
    break;

  case 24:
    $errormessage="I was not able to connect to your mail server. This may be due to Internet congestion. Please try again later or use a different address.";
    break;

  case 25:
    $errormessage="I was not able to get a response from your mail server. This may be due to Internet congestion. Please try again later or use a different address.";
    break;

  default :
    $errormessage="";
}

$name=""; $user=""; $mail="";
if($HTTP_COOKIE_VARS["registerinfo"]){
  list($name, $mail, $user)=explode("|", $HTTP_COOKIE_VARS["registerinfo"]);
  setcookie("registerinfo", "", time()-3600);
}

include($header);
if($errormessage!="")echo"<p><strong>$errormessage</strong></p>\n";
?>
<div class="login">
<form action="<?php echo $SYS["base_href"] . "/login.php?" . SID ?>" method="post">
<p>Registered players sign on here:<br/>
Username: <input type="text" name="user" size="15" value=""><br/>
Password: <input type="password" name="pass" size="10" value=""><br/>
<!--    <input type="checkbox" name="remember" value="1"><small> Remember me</small><br/> -->
<input type="submit" value="Sign on"><br/>
<small><a href="<?php echo $SYS["base_href"] . "/emailpass.php?" . SID ?>">Help! I forgot my password</a></small><br/></p>
</form>
</div>
<div class="register">
<form action="<?php echo $SYS["base_href"] . "/register.php?" . SID ?>" method="post">
<p>New players register here:<br/>
<small><strong>Please read the <a href="<?php echo $SYS["base_href"] . "/help.php?topic=register&" . SID ?>">Help</a> files first, to learn the rules for registration.</strong></small><br/>
Full name: <input type="text" name="name" size="50" value="<?php echo $name ?>"><br/>
Email address: <input type="text" name="mail" size="50" value="<?php echo $mail ?>"><br/>
Username: <input type="text" name="user" size="15" value="<?php echo $user ?>"><br/>
Password: <input type="password" name="pass1" size="10" value=""><br/>
Retype password: <input type="password" name="pass2" size="10" value=""><br/>
<input type="submit" value="Register"></p>
</form>
</div>
<?php
include($footer);
?>