<?php
// view.php: displays players picks and change form (if chosen)
//
// This file is part of the SportsPHool application
// Copyright (C) 2000, 2001 Barry Scott Will <bwill@cavecreations.net>
// See /license and /gpl.txt for licensing information
//
$page="view";
$pagetitle="View/Change Picks";
require("./shared.php");

// Make sure a valid player is accessing the page
if(!$HTTP_SESSION_VARS["userID"]) {
  header("Location: " . $SYS["base_href"] . "/signon.php?&message=4&" . SID);
  exit;
}

// Get user function value
$userfunc=$HTTP_GET_VARS["userfunc"];
if(!$userfunc) $userfunc=0;
if($stopdate<$SYS["gmt"]) $userfunc=0;
include($header);

// Output switch profile form
if(!switch_profile($SYS["base_href"] . "/view.php", $userfunc, $playerID, $profile)) {
  echo "<p><strong>You must create a profile before you can make picks.</strong></p>\n";
  include($footer);
  exit;
};

if(!$profile) {
  echo "<p><strong>You must first choose a profile from the list above, or create a new profile.</strong></p>\n";
  include($footer);
  exit;
}

$action = $userfunc==1 ? "Changing" : "Viewing";
$tRemain = round(($stopdate-$SYS["gmt"])/3600,1);
echo "<h3>$profilename: $action picks for Week $weekname</h3>\n";
if($stopdate>$SYS["gmt"]) {
  echo "<p><small>This week closes ";
  writeLocal($stopdate);
  if($tRemain<48) {
    echo " ($tRemain hours from now)";
  }
  echo "</small></p>\n";
} else {
  echo "<p><small>This week has closed.</small></p>\n";
}
// Build tables
$picktbl = $SYS["prefix"] . $phool . "Picks";
$gametbl = $SYS["prefix"] . $phool . "Games";
$teamtbl = $SYS["prefix"] . $phool . "Teams";

$qry="SELECT gameID, visitor, home, spread, winner FROM $gametbl WHERE weekID=$weekID ORDER BY gameID";
if($rs=&$conn->Execute($qry)===FALSE) {
  echo "<p><strong>Could not access Games database. Please inform the site administrator of this error:<br/>\n" . $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>\n";
  exit;
}
$games=$rs->GetAssoc();

if(count($games)==0) {
  echo "<p><strong>No games have yet been entered for this week. Contact the site administrator if you believe there is a problem.</strong></p>\n";
  include($footer);
  exit;
}

$qry="SELECT P.gameID, P.pick FROM $picktbl P, $gametbl G WHERE P.profileID=$profile AND G.weekID=$weekID AND P.gameID=G.gameID ORDER BY G.gameID";
if($rs=&$conn->Execute($qry)===FALSE) {
  echo "<p><strong>Could not access Picks database. Please inform the site administrator of this error:<br/>\n" . $conn->ErrorNo() . ": " . $conn->ErrorMsg() . "</strong></p>\n";
  exit;
}
$picks=$rs->GetAssoc();

// Put all teams in an associative array
$qry = "SELECT teamID, CONCAT(teamname, ' ', teamnick) as name, teamlogo FROM $teamtbl ORDER BY teamname ASC";
$rs=&$conn->Execute($qry);
$teams=$rs->GetAssoc();

// If user function is 1(one), set up the form
if ($userfunc==1) {
   echo "<form action=\"" . $SYS["base_href"] . "/changepicks.php?gWeek=$weekID&" . SID . "\" method=\"post\">\n";
}

// Initialize row number
$rownum = 0;

// Output the TABLE tag and header cells
echo "<table>\n";
echo "<tr><th colspan=\"2\">Visitor</th><th>&nbsp;</th><th colspan=\"2\">Home</th><th>Spread</th></tr>\n";

// Cycle through games and output the picks
foreach($games as $game) {
  if ($picks[$game["gameID"]]) {
    $pick=$picks[$game["gameID"]];
  } else {
    $pick = 0;
  }
  // Set up class for alternate rows
  $class = !(($rownum+1)%2) ? "alt" : "";
  echo "<tr class=\"$class\">\n";
  echo "<td>\n";
  // If this is change picks, make a radio button,
  if ($userfunc==1) {
    echo "<input type=\"hidden\" name=\"gameary[$rownum]\" value=\"" . $game["gameID"] . "\"/>\n";
    build_radiobtn($game["visitor"], $pick, $rownum);
  // else output the correct image (yellow, green, red)
  } else {
    build_image($game["visitor"], $pick, $game["winner"]);
  }
  echo "\n</td>\n<td style=\"text-align: left\">";
  if($teams[$game["visitor"]]["teamlogo"]) {
    echo "<img src=\"" . $SYS["assets"] . "/logos/" . $teams[$game["visitor"]]["teamlogo"] . "\" width=\"" . $SYS["logowidth"] . "\" height=\"" . $SYS["logoheight"] . "\" alt=\"\"/>&nbsp;\n";
  }
  echo $teams[$game["visitor"]]["name"];
  echo "</td>\n<td>at</td>\n<td style=\"text-align: right\">";
  echo $teams[$game["home"]]["name"];
  if($teams[$game["home"]]["teamlogo"]) {
    echo "&nbsp;<img src=\"" . $SYS["assets"] . "/logos/" . $teams[$game["home"]]["teamlogo"] . "\" width=\"" . $SYS["logowidth"] . "\" height=\"" . $SYS["logoheight"] . "\" alt=\"\"/>\n";
  }
  echo "</td>\n<td>\n";
  if ($userfunc==1) {
    build_radiobtn($game["home"], $pick, $rownum);
  } else {
    build_image($game["home"], $pick, $game["winner"]);
  }
  echo "\n</td>\n<td>" . $game["spread"] . "</td>\n</tr>\n";
  $rownum++;
}
echo "</table>\n";

// If this is change picks, output the submit button and close the form
if ($userfunc==1) {
   echo "<p><input type=\"submit\" value=\"Change Picks!\"/></p>\n</form>\n";
}

// Output the list of weeks for switching views
switch_week($SYS["base_href"] . "/view.php", $userfunc, $phool, $weekID);
include($footer);

// Takes current teamID, pickID and counter and outputs
// a radio button, checks the button if teamID and pickID match
function build_radiobtn($team, $pick, $counter) {
   echo "<input type=\"radio\" name=\"pickary[$counter]\" value=\"$team\"";
   if ($team==$pick) {
      echo " checked";
   }
   echo "/>";
} // end function build_radiobtn()

// Takes current teamID, pickID and winnerID and outputs
// an appropriate image
function build_image($team, $pick, $win) {
  global $SYS;
  // If teamID and pickID don't match, output nothing and return
  if($pick<>$team) {
    echo "&nbsp;";
    return;
  }

  // Set the default image (yellow) and ALT text
  $imagefile = "yellow.gif";
  $alttext = "Neutral";
  // If winner is -1 (<0), all picks are winners
  $newWin = $win<0 ? $pick : $win;

  // We'll only change the default image if a winner has acttally been determined
  if ($newWin>0) {
    // If the pick matches the winner, change image and ALT text to green (good)
    if($pick==$newWin) {
      $imagefile = "green.gif";
      $alttext = "Correct";
    // else change to red (bad)
    } else {
      $imagefile = "red.gif";
      $alttext = "Incorrect";
    }
  }

  // Output the image with ALT text
  echo "<img src=\"" . $SYS["assets"] . "/$imagefile\" height=\"15\" width=\"15\" alt=\"$alttext\"/>";
} // end function build_image()
?>
